package com.ys.bdtp.base

import android.app.Application
import android.app.Service
import android.os.Vibrator
import com.ys.bdtp.base.services.SVibratorService

/**
 * 斯伯坦机器人android应用程序对象
 *
 * @author  庞利祥(sybotan@126.com)
 */
open class SApplication : Application() {
    /** 类静态成员 */
    companion object {
        /** 应用程序对象 */
        lateinit var app: SApplication
    } // companion object

    /** 数据库版本 */
    var databaseVersion: Int = 1

    /**
     * 主构造函数
     */
    init {
        app = this
    } // init

    /**
     * 创建应用时调用
     */
    override fun onCreate() {
        super.onCreate()

        // 初始化震动器
        SVibratorService.vibrator = getSystemService(Service.VIBRATOR_SERVICE) as Vibrator

        return
    }// Function onCreate()
} // Class SApplication
